Bug 12097 - changing vendor results in broken xorg.conf
: changing vendor results in broken xorg.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-x11)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-21 16:41 by
Modified: 2007-06-26 11:10 (History)


Attachments
broken xorg.conf after an attempt to choose vendor (1.17 KB, text/plain)
2007-06-21 21:22, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-21 16:41:18
Ошибка тривиальная, но проблема выходит неприятная и с хорошим шансом
нарваться,
поэтому major.  Вообще такое -- release blocker IMHO.

При попытке "изменить производителя" (см. предыдущую багу) в desktop beta
20070615 получился неживой xorg.conf:

Starting crond service: [ DONE ]
Parse error on line 35 of section Monitor in file /etc/X11/xorg.conf
        The VertRefresh keyword must be followed by a list of numbers or
ranges.
/usr/bin/x11setupdrv: /etc/X11/xorg.conf: unable to parse config file: No such
file or directory
Starting X Font service: [ DONE ]
Starting display manager service: [ DONE ]

Вот фрагмент xorg.conf:

Section "Monitor"
        Identifier   "LG 1455|0"
        HorizSync    37.9 - 57.0
        VertRefresh  72.8 - 70.0
EndSection

Здесь не должно быть пробелов вокруг "-".

(отдельного удивления заслуживает то, что производителя-то выбрали, а вот
модель
никто не спрашивал -- 1455, наверное, просто первая из списка)
------- Comment #1 From 2007-06-21 16:41:36 -------
reassign
------- Comment #2 From 2007-06-21 21:21:49 -------
(добрался ещё раз) Не, дело не в пробелах.  Дома с ними всё работает.
------- Comment #3 From 2007-06-21 21:22:48 -------
Created an attachment (id=2030) [details]
broken xorg.conf after an attempt to choose vendor

Прилагаю xorg.conf, каким он получился (нерабочий).
------- Comment #4 From 2007-06-22 12:17:34 -------
fixed
------- Comment #5 From 2007-06-25 11:32:16 -------
Там ещё с DefaultDepth такая ругань вылезла (заметил при выгрузке инсталера
desktop 20070621), но вроде ни на что не влияет:
The DefaultDepth keyword requires a number to follow it.
http://paq.osdn.org.ua/~mike/tmp/cd-20070621-qemu-depth.jpg
------- Comment #6 From 2007-06-26 11:10:10 -------
Хмм, я считал что в в 0621 эта проблема исправлена..